Hello Mr. @Kent1Cooper.
I think you should create your own blog and menu bar like payazed.wordpress.com or Lee-Mac. You are a rock star in the lisp world.
My personal favorite is SS, created by "+972 545868723 Kibbutz Amir Upper Galilee Israel" alias KIM. I use it 90% time when my drawing is saturated with many objects, author description: "the objects are filtered by object type, layer, color and linetype."
(defun C:SS ( / s1 i e l f s2)
(princ "\nSelect source object:")
(if
(if
(setq s1 (ssget "I"))
(progn (sssetfirst nil nil) s1)
(setq s1 (ssget))
)
(progn
(repeat (setq i (sslength s1))
(setq i (1- i)
e (entget (ssname s1 i))
l (mapcar '(lambda (a b) (cond ((assoc a e)) (b))) '(0 8 6 62) '(0 0 (6 . "ByLayer") (62 . 256)))
)
(if (not (member l f)) (setq f (cons l f)))
)
(setq f (mapcar '(lambda (a) (append '((-4 . "<AND")) a '((-4 . "AND>")))) f))
(setq f (append '((-4 . "<OR")) (apply 'append f) '((-4 . "OR>"))))
(princ "\n\nSelect area for similar objects...")
(if (setq s2 (ssget f)) (princ (strcat (itoa (sslength s2)) " objects")))
(sssetfirst nil s2)
)
)
(if (zerop (getvar 'cmdactive)) (princ) s2)
)